> ## Documentation Index
> Fetch the complete documentation index at: https://developers.octaviatech.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Optimize Article with Streaming

> Optimize Article with Streaming.



## OpenAPI

````yaml POST /ai/optimizeArticle/stream
openapi: 3.1.0
info:
  title: Blog API
  version: 1.0.0
servers:
  - url: https://api.octaviatech.app/cms
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Tags
    description: Tag management endpoints
paths:
  /ai/optimizeArticle/stream:
    post:
      tags:
        - AI
      summary: Optimize article SEO with streaming progress (Server-Sent Events)
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - articleId
              properties:
                articleId:
                  type: string
                primaryKeyword:
                  type: string
                languages:
                  type: array
                  items:
                    type: string
                fields:
                  type: object
                  properties:
                    title:
                      type: boolean
                    summary:
                      type: boolean
                    content:
                      type: boolean
                    tags:
                      type: boolean
      responses:
        '200':
          description: Server-Sent Events stream with optimization progress
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````